/**
 * File: cdemu_proc.c
 * Authors: Robert Penz <robert.penz@outertech.com>
 *          Mike Frysinger <vapier@gmail.com>
 * Copyright 2002-2005
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifdef CONFIG_PROC_FS

#include <linux/proc_fs.h>
int cdemu_proc_make(void);
void cdemu_proc_remove(void);

#else

#define cdemu_proc_make() 1
#define cdemu_proc_remove()

#endif
