# $Header$
Name: cdemu
Summary: Kernelmodul zum mounten von .cue Dateien
Version: 0.5.3a
Release: SuSE9_br
License: GPL
Group: Applications/Multimedia
Source: %{name}_%{version}.tar.bz2
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Bjoern Runden (suse@runden.net)
Distribution: SuSE 9.0
Prefix: /usr
Url: http://robert.private.outertech.com/virtualcd/cdemu_0.5.0.tar.bz2
Provides: cdemu
Requires: python >= 2.2
Vendor: runden.net
#Requires: 

%description
CD Emu mountet cue-Images als virtuelles CD-ROM.
Kernelmodul fr CD-Images, die kein ISO-Image beinhalten. Dieses
sind bspw. VCDs.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

ln -sf $RPM_BUILD_DIR/%{name}_%{version} $RPM_BUILD_DIR/%{name}-%{version}
#%setup -q
cd $RPM_BUILD_DIR
rm -rf %{name}_%{version}
tar xjf $RPM_SOURCE_DIR/%{name}_%{version}.tar.bz2

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
cd %{name}_%{version}
#patch $RPM_BUILD_DIR/%{name}_%{version}/Makefile < $RPM_SOURCE_DIR/patch.diff
make -j 2

%install
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/misc
mkdir -p $RPM_BUILD_ROOT/usr/lib/python/site-packages/
cd $RPM_BUILD_DIR/%{name}_%{version}
make DESTDIR=$RPM_BUILD_ROOT install

cp $RPM_BUILD_DIR/%{name}_%{version}/create_cdemu_devs.sh $RPM_BUILD_ROOT/usr/bin

cd $RPM_BUILD_ROOT

find . -type d -a ! -ipath "*python*" -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/file.list.%{name}.libs
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files.tmp
rm -rf $RPM_BUILD_DIR/file.list.%{name}.dirs

%files -f file.list.%{name}

%defattr(-,root,root,0755)

%post 
/sbin/depmod -a
/sbin/ldconfig
/usr/bin/create_cdemu_devs.sh

%postun
/sbin/depmod -a
/sbin/ldconfig
rm -R /dev/cdemu
